Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j
Class DefaultThrowableRenderer

    java.lang.Object
      org.apache.log4j.DefaultThrowableRenderer

All Implemented Interfaces:
  ThrowableRenderer

    public final class DefaultThrowableRenderer

extends Object
implements ThrowableRenderer

Default implementation of ThrowableRenderer using Throwable.printStackTrace.

Since:
  1.2.16

Constructor Summary
`DefaultThrowableRenderer()` Construct new instance.

Method Summary
`String[]` | `doRender(Throwable throwable)` Render Throwable.
`static String[]` | `render(Throwable throwable)` Render throwable using Throwable.printStackTrace.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultThrowableRenderer

    public DefaultThrowableRenderer()

  Construct new instance.

Method Detail

### doRender

    public String[] doRender(Throwable throwable)

  Render Throwable.

  Specified by:
    `doRender` in interface `ThrowableRenderer`
  Parameters:
    `throwable` - throwable, may not be null.
  Returns:
    String representation.

### render

    public static String[] render(Throwable throwable)

  Render throwable using Throwable.printStackTrace.

  Parameters:
    `throwable` - throwable, may not be null.
  Returns:
    string representation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 Apache Software Foundation. All Rights Reserved.